<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Operadores</title>
</head>
<body>
    <h1>Operadores</h1>
    <script>
        //Aritméticos: suma +, resta -, multiplicación *, división /

        let a = 4;
        let b = 3;
        console.log("resta ");
        console.log(a - b);
        console.log("suma ");
        console.log(a + b);
        console.log("multipliación ");
        console.log(a * b);
        console.log("división ");
        console.log(a / b);

        //Paréntesis
        console.log(a + b * 2);
        console.log((a + b) * 2);

        //Relacionales
        //Mayor >,  Menor <, Mayor o igual >=, Menor o igual <=, Igual ==, ===, Distinto !=, !==
        console.log(a > b);
        console.log(a < b);
        console.log(a >= b);
        console.log(a <= b);
        
        let c = 9;              
        console.log("Igual ==");
        console.log(c == "9");
        console.log("Igual ===")
        console.log(c === "9");
        console.log(a != b);
        console.log(a !== b);

        //= asignación de valor a una variable
        //== Compara valores
        //=== Compara valores y tipo de datos ---> Más recomendable

        console.log("Not ");
        console.log(c !== "9");
        
        //Incremento y decremento

        let i = 6;
        i = i + 1;
        console.log(i);
        
        //Operador unario
        i++;
        console.log(i);

        //Operadores lógicos
        //! - Negar
        //&& - And
        // || - OR

        console.log("! - Negar ");
        console.log(!true);
        console.log(c === "9" && c == "9");
        console.log(c === "9" || c == "9");



        
    </script>
</body>
</html>